org.apache.ignite.internal.processors.cache.binary

## Class MetadataRemoveProposedMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.binary.MetadataRemoveProposedMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public final class MetadataRemoveProposedMessage
    extends Object
    implements DiscoveryCustomMessage

MetadataRemoveProposedMessage and `MetadataRemoveAcceptedMessage` messages make a basis for discovery-based protocol for manage `metadata` describing objects in binary format stored in Ignite caches.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MetadataRemoveProposedMessage(int typeId, UUID origNodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`@Nullable DiscoCache` `createDiscoCache(GridDiscoveryManager mgr, AffinityTopologyVersion topVer, DiscoCache discoCache)` Creates new discovery cache if message caused topology version change.
`IgniteUuid` `id()`
`boolean` `isMutable()`
`boolean` `isOnCoordinator()`
`void` `setOnCoordinator(boolean onCoordinator)`
`String` `toString()`
`int` `typeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`stopProcess`

### Constructor Detail

#### MetadataRemoveProposedMessage

    public MetadataRemoveProposedMessage(int typeId,
                                         UUID origNodeId)

Parameters:
  `typeId` - Binary type ID.
  `origNodeId` - ID of node requested update.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public @Nullable DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `True` if message can be modified during listener notification. Changes will be sent to next nodes.

#### createDiscoCache

    @Nullable
    public @Nullable DiscoCache createDiscoCache(GridDiscoveryManager mgr,
                                                           AffinityTopologyVersion topVer,
                                                           DiscoCache discoCache)

Creates new discovery cache if message caused topology version change.

Specified by:
  `createDiscoCache` in interface `DiscoveryCustomMessage`
Parameters:
  `mgr` - Discovery manager.
  `topVer` - New topology version.
  `discoCache` - Current discovery cache.
Returns:
  Reused discovery cache.

#### typeId

    public int typeId()

#### isOnCoordinator

    public boolean isOnCoordinator()

#### setOnCoordinator

    public void setOnCoordinator(boolean onCoordinator)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023